%define module  Tie-IxHash
%define version 1.21
%define release 3mdk
%define	pdir	Tie


Summary: 	%{module} module for perl
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source0: 	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{module}-%{version}.tar.gz
Url:            http://search.cpan.org/search?dist=%{module}
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	perl
BuildRequires:	perl-devel

%description
%{module} module for perl.  This Perl module implements ordered
in-memory associative arrays.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
make PREFIX=%{_prefix}
make test

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX="$RPM_BUILD_ROOT%{_prefix}" install

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/Tie/IxHash.pm

%changelog
* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 1.21-3mdk
- rebuild

* Thu Jul 11 2002 Pixel <pixel@mandrakesoft.com> 1.21-2mdk
- rebuild for perl 5.8.0

* Mon Jun 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.21-1mdk
- from Peter Chen <petechen@netilla.com> :
	- 1.21
